<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.itant.shiwushu">

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CALL_PHONE" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:label="@string/app_name"
        android:theme="@style/NoActionBarTheme"
        android:name=".LAFApplication">
        <activity android:name=".WelcomeActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme.Welcome">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".MainActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"
            android:windowSoftInputMode="adjustPan"/>
        <!--软键盘不会把底部Tab顶上来-->

        <activity android:name=".ui.login.LoginActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.register.RegisterActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.forget.ForgetActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.menu.me.AboutActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.city.ProvinceActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.city.CityActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.menu.message.MessageActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.menu.me.info.UserInfoActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.menu.post.publish.PublishPostActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.detail.PostDetailActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <activity android:name=".ui.list.PostListActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NoActionBarTheme"/>

        <!--8.0以上的机子，主题设置了<item name="android:windowIsTranslucent">true</item>
        则不能在这里设置screenOrientation，否则会闪退，但不使用windowIsTranslucent滑动的时候又不透明，所以只能去掉screenOrientation-->
        <activity android:name=".ui.detail.PhotoActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:theme="@style/NoActionBarTheme.PhotoDetailTheme"/>

        <!--QQ登录开始-->
        <activity
            android:name="com.tencent.tauth.AuthActivity"
            android:noHistory="true"
            android:launchMode="singleTask" >
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data android:scheme="tencent1107887184" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.tencent.connect.common.AssistActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <!--QQ登录结束-->

        <!--图片选择开始-->
        <activity
            android:name="me.iwf.photopicker.PhotoPickerActivity"
            android:theme="@style/Theme.AppCompat.NoActionBar"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"/>

        <activity
            android:name="me.iwf.photopicker.PhotoPagerActivity"
            android:theme="@style/Theme.AppCompat.NoActionBar"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:screenOrientation="portrait"/>
        <!--图片选择结束-->

        <!--设置这个provider是由于谷歌的新特性，sdk版本>=24必须设置这个东西才能正常拍照裁剪图片-->
        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="com.itant.shiwushu.fileprovider"
            android:grantUriPermissions="true"
            android:exported="false">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>
</manifest>